Create price relay sources
Bulk-creates price relay source rules. Successful entities are returned in data; per-item failures in errors keyed by the rule name.
POST
/api/v2/{team_slug}/{app_slug}/price-relays/sourcesAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
team_slugstringrequiredapp_slugstringrequiredRequest body
requiredapplication/jsonsourcesPriceRelaySourceRuleInput[]requiredmin items 1 · max items 20
Show propertiesHide properties
Array of
PriceRelaySourceRuleInputnamestringrequiredmarket_slugstringrequiredactivebooleanpercentage_of_sourceinteger | nullpercentage_of_source_decimalsinteger | nullstore_groupsPriceRelaySourceStoreGroupInput[]requiredmin items 1
Show propertiesHide properties
Array of
PriceRelaySourceStoreGroupInputstore_group_slugstringrequiredamount_fromstringsale_price_fromstring | nullrelay_on_sale_store_group_slugstring | nullrelay_status_store_group_slugstringrequiredforce_on_saleboolean | nulltax_country_codestring | nullroundingPriceRelayRoundingInputShow propertiesHide properties
round_upbooleanround_downbooleantargetsstring[] | nullfiltersPriceRelayFiltersInputShow propertiesHide properties
category_idsUUID[] | nullcollection_idsUUID[] | nullbrand_idsUUID[] | nulltag_idsUUID[] | nullResponses
201
Created (partial success possible)
dataPriceRelaySourceRule[]requiredShow propertiesHide properties
Array of
PriceRelaySourceRuleidUUIDrequiredapp_idUUIDrequirednamestringrequiredmarketUUIDrequiredmarket_slugstringrequiredactivebooleanrequiredpercentage_of_sourceinteger | nullpercentage_of_source_decimalsinteger | nullstore_groupsPriceRelaySourceStoreGroup[] | nullShow propertiesHide properties
Array of
PriceRelaySourceStoreGroupstore_groupUUIDrequiredstore_group_slugstringrequiredamount_fromstringsale_price_fromstring | nullrelay_on_sale_store_groupUUID | nullShow propertiesHide properties
Any of:
UUID
string<uuid>null
nullrelay_status_store_groupUUIDrequiredforce_on_saleboolean | nulltax_country_codestring | nullroundingPriceRelayRoundingrequiredShow propertiesHide properties
round_upbooleanround_downbooleantargetsstring[] | nullfiltersPriceRelayFiltersrequiredShow propertiesHide properties
category_idsUUID[] | nullcollection_idsUUID[] | nullbrand_idsUUID[] | nulltag_idsUUID[] | nullcreated_atstring<date-time>requiredupdated_atstring<date-time>requirederrorsPriceRelaySourceRuleError[]requiredShow propertiesHide properties
Array of
PriceRelaySourceRuleErrornamestringidUUID | nullShow propertiesHide properties
Any of:
UUID
string<uuid>null
nullmessagestringrequired400
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required401
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required403
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required500
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required